diff a/test/hotspot/jtreg/compiler/c2/aarch64/TestVolatiles.java b/test/hotspot/jtreg/compiler/c2/aarch64/TestVolatiles.java
--- a/test/hotspot/jtreg/compiler/c2/aarch64/TestVolatiles.java
+++ b/test/hotspot/jtreg/compiler/c2/aarch64/TestVolatiles.java
@@ -37,12 +37,11 @@
  *                       TestUnsafeVolatileCAE,
  *                       TestUnsafeVolatileGAS}
  * and <testtype> in {G1,
  *                    Serial,
  *                    Parallel,
- *                    Shenandoah,
- *                    ShenandoahIU}
+ *                    Shenandoah}
  */
 
 
 package compiler.c2.aarch64;
 
@@ -93,17 +92,10 @@
             argcount = 10;
             procArgs = new String[argcount];
             procArgs[argcount - 3] = "-XX:+UnlockExperimentalVMOptions";
             procArgs[argcount - 2] = "-XX:+UseShenandoahGC";
             break;
-        case "ShenandoahIU":
-            argcount = 11;
-            procArgs = new String[argcount];
-            procArgs[argcount - 4] = "-XX:+UnlockExperimentalVMOptions";
-            procArgs[argcount - 3] = "-XX:+UseShenandoahGC";
-            procArgs[argcount - 2] = "-XX:ShenandoahGCMode=iu";
-            break;
         default:
             throw new RuntimeException("unexpected test type " + testType);
         }
 
         // fill in arguments common to all cases
@@ -284,11 +276,10 @@
                 "dmb ish",
                 "strb"
             };
             break;
         case "Shenandoah":
-        case "ShenandoahIU":
              // Shenandoah generates normal object graphs for
              // volatile stores
             matches = new String[] {
                 "membar_release \\(elided\\)",
                 useCompressedOops ? "stlrw?" : "stlr",
@@ -356,11 +347,10 @@
                 "dmb ish",
                 "strb"
             };
             break;
         case "Shenandoah":
-        case "ShenandoahIU":
             // For volatile CAS, Shenanodoah generates normal
             // graphs with a shenandoah-specific cmpxchg
             matches = new String[] {
                 "membar_release \\(elided\\)",
                 useCompressedOops ? "cmpxchgw?_acq_shenandoah" : "cmpxchg_acq_shenandoah",
@@ -443,11 +433,10 @@
                 "dmb ish",
                 "strb"
             };
             break;
         case "Shenandoah":
-        case "ShenandoahIU":
             // For volatile CAS, Shenanodoah generates normal
             // graphs with a shenandoah-specific cmpxchg
             matches = new String[] {
                 "membar_release \\(elided\\)",
                 useCompressedOops ? "cmpxchgw?_acq_shenandoah" : "cmpxchg_acq_shenandoah",
@@ -510,11 +499,10 @@
                 "dmb ish",
                 "strb"
             };
             break;
         case "Shenandoah":
-        case "ShenandoahIU":
             matches = new String[] {
                 "membar_release \\(elided\\)",
                 useCompressedOops ? "atomic_xchgw?_acq" : "atomic_xchg_acq",
                 "membar_acquire \\(elided\\)",
                 "ret"
